@import "@/styles/variables";

.input {
    &-wrapper {
        position: relative;
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        background-color: $white;
        font-family: var(--font-barlow);

        &-disabled {
            border: 1px solid $gray-200;
            filter: opacity(0.5);
        }
    }

    &-field {
        display: flex;
        align-items: center;
        position: relative;
        width: 100%;
        border-radius: 12px;
        gap: 1rem;
    }

    &-label {
        position: absolute;
        top: 0.7rem;
        left: 1.1rem;
        color: $gray-600;
        transition: all 0.05s ease-in-out;

        @include label-1;

        &-hidden {
            opacity: 0;
        }

        &-icon-start {
            left: 3.6rem;
        }
    }

    &-area {
        @include input-1;

        height: 58px;
        width: 100%;
        background-color: $white;
        border-radius: 12px;
        color: $gray-600;
        border: 1px solid $gray-200;
        padding: 0 2rem 0.35rem 1rem;
        transition: padding 0.05s ease-in-out;

        &__label-hidden {
            padding: 1.25rem 2rem 0.35rem 1rem;
        }

        &__icon-start {
            padding-left: 3.5rem;
        }

        &__error {
            border: 1px solid $color-error;
        }

        &__with-value {
            color: $gray-900;
        }

        &:hover {
            color: $gray-800;
            border: 1px solid $gray-300;
        }

        &:focus {
            color: $gray-800;
            outline: 1px solid $gray-400;
        }

        &:-webkit-autofill,
        &:-webkit-autofill:focus {
            transition: color 600000s 0s;
        }
    }

    &-icon {
        position: absolute;
        left: 1rem;
        top: 1rem;
        width: 1.5rem;
        aspect-ratio: 1;
        display: flex;
        align-items: center;
        justify-content: center;

        &-start {
            left: 1rem;
        }

        &-end {
            left: auto;
            right: 1rem;
            cursor: pointer;
        }
    }
}

.error {
    @include error-message;

    padding-left: 1rem;
}

.info {
    margin-left: auto;
    color: $gray-600;

    @include caption-2m;
}
